Name:    kde-settings-qubes
Summary: Package for installing all KDE components and settings needed for Qubes GuiVM
Version: 5.12.3
Release: 5%{?dist}

License: GPL2
URL: http://qubes-os.org

BuildArch: noarch

BuildRequires: make

Requires: qubes-desktop-linux-common
Requires: qubes-artwork
Requires: kde-filesystem
Requires: kde-runtime
Requires: kde-runtime-flags
Requires: kde-runtime-libs
Requires: kde-settings
Requires: kdelibs
Requires: kscreen
Requires: ksysguardd
Requires: oxygen-cursor-themes
Requires: oxygen-icon-theme
Requires: plasma-workspace
Requires: plasma-workspace-libs
Requires: sddm
Requires: sddm-breeze

# Drop previous Qubes packages
Requires: kde-baseapps > 16.08.3
Conflicts: kde-baseapps = 2000:16.08.3
Obsoletes: qubes-kde-Dom0 <= 5.12.3

# other 3rd party packages that are useful in Dom0

# The konsole really looks awful without those fonts:
Requires: dejavu-sans-mono-fonts
Requires: dejavu-sans-fonts

# Qubes-customized menus
Requires: qubes-menus

# Custom Breeze style for Qubes
Requires: plasma-breeze-qubes

Source0: %{name}-%{version}.tar.gz

%description
%{summary}.

%package -n plasma-breeze-qubes
Summary: Qubes colorful frames for Breeze plasma theme
Requires: plasma-breeze
%if 0%{?fedora} >=32 || 0%{?rhel} >= 8
Requires: python3-pyxdg
%else
Requires: pyxdg
%endif

%description -n plasma-breeze-qubes
Qubes colorful frames for Breeze plasma theme.

%prep
%setup

%install
%make_install

%files
%defattr (-,root,root,-)
%{_sysconfdir}/skel/.kde/share/apps/kfileplaces/bookmarks.xml
%{_sysconfdir}/skel/.kde/share/config/kickoffrc
%{_sysconfdir}/skel/.kde/share/config/kscreensaverrc
%{_sysconfdir}/skel/.config/plasma-org.kde.plasma.desktop-appletsrc
%{_datadir}/plasma/look-and-feel/org.fedoraproject.fedora.desktop/contents/plasmoidsetupscripts/org.kde.plasma.kicker.js.qubes
%{_datadir}/plasma/look-and-feel/org.fedoraproject.fedora.desktop/contents/plasmoidsetupscripts/org.kde.plasma.kickerdash.js.qubes
%{_datadir}/plasma/look-and-feel/org.fedoraproject.fedora.desktop/contents/plasmoidsetupscripts/org.kde.plasma.kickoff.js.qubes
%{_datadir}/plasma/shells/org.kde.plasma.desktop/contents/updates/10-qubes.js
%{_datadir}/plasma/shells/org.kde.plasma.desktop/contents/updates/qubes-systray.js
%{_datadir}/plasma/plasmoids/org.kde.plasma.kickoff/contents/ui/FullRepresentation.qml.qubes
%{_datadir}/kde-settings/kde-profile/default/share/applications/Thunar.desktop
%{_datadir}/kde-settings/kde-profile/default/share/applications/kde4/Help.desktop
%{_datadir}/kde-settings/kde-profile/default/share/applications/kde4/knetattach.desktop
%{_datadir}/kde-settings/kde-profile/default/share/applications/kde4/nepomukbackup.desktop
%{_datadir}/kde-settings/kde-profile/default/share/applications/kde4/nepomukcontroller.desktop
%{_datadir}/kde-settings/kde-profile/default/share/applications/org.kde.klipper.desktop
%{_datadir}/kde-settings/kde-profile/default/share/applications/org.kde.knetattach.desktop
%{_datadir}/kde-settings/kde-profile/default/share/applications/thunar-settings.desktop
%{_datadir}/kde-settings/kde-profile/default/share/autostart/nepomukcontroller.desktop
%{_datadir}/kde-settings/kde-profile/default/share/autostart/org.kde.klipper.desktop
%{_datadir}/kde-settings/kde-profile/default/share/config/klipperrc
%{_datadir}/kde-settings/kde-profile/default/share/config/nepomukserverrc
%{_datadir}/kde-settings/kde-profile/default/share/kde4/services/kcm_nepomuk.desktop

%files -n plasma-breeze-qubes
/usr/bin/qubes-generate-color-palette
%config(noreplace) /etc/xdg/autostart/qubes-generate-color-palette.desktop

%define settings_replace() \
qubesfile="%{1}" \
origfile=${qubesfile%.qubes} \
backupfile=${origfile}.kde \
if [ -r "$origfile" -a ! -r "$backupfile" ]; then \
	mv -f "$origfile" "$backupfile" \
fi \
cp -f "$qubesfile" "$origfile" \
%{nil}

%triggerin -- kde-settings
# Qubes menus prefix
sed -i 's|XDG_MENU_PREFIX="kde4-"|XDG_MENU_PREFIX="kde4-qubes-"|g' /etc/kde/env/env.sh
sed -i 's|XDG_MENU_PREFIX="kf5-"|XDG_MENU_PREFIX="kf5-qubes-"|g' /etc/xdg/plasma-workspace/env/env.sh

%settings_replace /usr/share/plasma/look-and-feel/org.fedoraproject.fedora.desktop/contents/plasmoidsetupscripts/org.kde.plasma.kicker.js.qubes
%settings_replace /usr/share/plasma/look-and-feel/org.fedoraproject.fedora.desktop/contents/plasmoidsetupscripts/org.kde.plasma.kickerdash.js.qubes
%settings_replace /usr/share/plasma/look-and-feel/org.fedoraproject.fedora.desktop/contents/plasmoidsetupscripts/org.kde.plasma.kickoff.js.qubes

%triggerin -- plasma-desktop

%settings_replace /usr/share/plasma/plasmoids/org.kde.plasma.kickoff/contents/ui/FullRepresentation.qml.qubes

%changelog
* Fri Jun 18 2021 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-desktop-linux-kde.git

* Fri Jun 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a37b96a
- version 5.12.3-5

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 61a6818
- spec: add BR make

* Thu Dec 03 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7e26858
- Currently ignore build for CentOS

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5db22db
- Add .gitlab-ci.yml

* Wed Oct 14 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3abc5b9
- version 5.12.3-4

* Wed Jun 24 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 83da32f
- Update travis

* Wed Jun 24 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a0fff37
- Rename package to kde-settings-qubes

* Wed Jun 24 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 802ea62
- spec: update for newer kde version

* Wed Jun 24 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5ac8f5f
- Create .spec.in

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 599bebe
- travis: switch to fc31 dom0

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 03df679
- travis: switch to bionic

* Sun Jan 27 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 235eb14
- Update .travis.yml for Fedora 29 dom0

* Sun Jan 27 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 21492ed
- Move kde-baseapps kde-settings plasma-breeze-qubes to separate components

* Sat Dec 23 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4a3f411
- plasma-breeze-qubes 5.5.8, kde-settings 25-6.2

* Sat Dec 23 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0fa7a40
- kde-settings: adjust default menu icon

* Sat Dec 23 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a3ca170
- plasma-breeze-qubes: fix Qubes 4.0 support

* Sat Dec 23 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e93f8c3
- kde-settings 25-6.1

* Sat Dec 23 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0a81f6a
- kde-baseapps 16.08.3

* Sat Sep 23 2017 Freddie Rice <freddie.rice@gmail.com> - db093af
- qubes-menus does not exist anymore

* Tue Jul 18 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - da83a2b
- qubes-kde-dom0 5.12.3-3

* Tue Jul 18 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3241732
- Remove qubes-menus package

* Fri Mar 31 2017 Jean-Philippe Ouellet <jpo@vt.edu> - 08b8d41
- Require qubes-desktop-linux-common

* Tue Sep 13 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2278156
- plasma-breeze-qubes 5.5.7

* Mon Sep 12 2016 Vít Šesták <CONTACT-ME-AT-contact.v6ak.com@spam.v6ak.com> - 92b5392
- Fixed low contrast for some VM colors (most notably yellow) in Breeze theme.

* Sat Jun 25 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ce9f3c8
- plasma-breeze-qubes 5.5.6

* Sat Jun 25 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f706917
- plasma-breeze-qubes: fix autostart settings for palette generator

* Sat Jun 25 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6845bec
- plasma-breeze-qubes: typo fix in tool name

* Mon Jun 20 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3f43779
- plasma-breeze-qubes: obsolete KDE4 equivalent

* Tue Jun 07 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 286c5e5
- kde-settings 23-11.2, plasma-breeze-qubes 5.5.5, qubes-kde-dom0 5.12.3-2, qubes-menus 2.0

* Tue Jun 07 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7a22b2f
- kde-baseapps: fix rpm syntax

* Tue Jun 07 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - af05b63
- travis: update to R3.2

* Mon Jun 06 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ca35ab0
- qubes-kde-dom0: set default menu button icon

* Mon Jun 06 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 79bd8d5
- qubes-kde-dom0: set default wallpaper

* Mon Jun 06 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 036bc06
- qubes-kde-dom0: provide default desktop applets configuration

* Mon May 30 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 85c4d3c
- plastik-for-qubes 1.2-1

* Mon May 30 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f583f94
- travis: initial version

* Mon May 30 2016 HW42 <hw42@ipsumj.de> - 07633d7
- use sha512 instead of md5 for source package verification

* Thu May 19 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c1848da
- qubes-kde-dom0 5.12.3, kde-baseapps 15.12.3-2, kde-settings 23-11.1, qubes-menus 1.2-1

* Thu May 19 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 311ff86
- qubes-kde-dom0: update dependencies for reduced breeze theme

* Wed May 18 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 75be80e
- Clean Makefile from old stuff

* Wed May 18 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ef3d212
- qubes-kde-dom0: update dependencies for Plasma

* Wed May 18 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b200ffc
- kde-settings: include patched kickoff applet

* Wed May 18 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a967410
- plasma-breeze-qubes: drop modified theme and just generate color palete

* Wed May 04 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ea308a1
- kde-settings: hide Thunar file manager if installed

* Wed May 04 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c2e6898
- kde-settings: update based on Fedora 23 package

* Wed May 04 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cdc6b70
- qubes-menus: add symlink for KDE5

* Wed May 04 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 468a164
- plasma-breeze-qubes: use Obsoletes instead of Conflicts

* Wed May 04 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8a9e3a5
- kde-baseapps: update based on Fedora 23 version

* Thu Apr 14 2016 M. Vefa Bicakci <m.v.b@runbox.com> - 3a5d8b4
- Replace plastik-for-qubes with breeze-for-qubes

* Thu Apr 14 2016 M. Vefa Bicakci <m.v.b@runbox.com> - a6e6c37
- Make wget a bit more verbose

